Subject: [tcpm] TCPM status

From: Pasi Sarolahti <[email-masked]>
Date: Tue, 23 Oct 2012 12:37:56 +0300

Hi,

Below is the chairs' understanding of the current status of various WG documents, or individual documents that have recently been discussed in TCPM. Please let us know of any corrections or clarifications.

Thanks!

- Pasi

Recent RFCs
-----------

Conservative SACK-based Recovery Algorithm / RFC 3517bis
(draft-ietf-tcpm-3517bis)
* Milestone Target: Proposed Standard in October 2010
* Status: RFC 6675 (August 2012)

MSS Option
(draft-ietf-tcpm-tcpmss)
* Milestone Target: Proposed Standard in July 2009
* Status: RFC 6691 (July 2012)

The NewReno Modification to TCP's Fast Recovery Algorithm
(draft-ietf-tcpm-rfc3782-bis)
* Milestone Target: Proposed Standard in April 2011
* Status: RFC 6582 (April 2012)

WG Items Nearing RFC Publication
--------------------------------

Increasing the Initial Window
(draft-ietf-tcpm-initcwnd)
* Milestone Target: Experimental in September 2011
* Status: WGLC concluded, authors have revised draft based on comments
* Action: Chairs to submit for publication (Yoshifumi will shepherd)

Proportional Rate Reduction for TCP
(draft-ietf-tcpm-proportional-rate-reduction)
* Milestone Target: Experimental in May 2012
* Status: WGLC concluded, authors have revised draft based on comments
* Action: Chairs to submit for publication (Pasi will shepherd)

WG Items in WGLC or being revised after WGLC
--------------------------------------------

Shared Use of Experimental TCP Options
(draft-ietf-tcpm-experimental-options)
* Milestone Target: PS in Sept. 2012
* Status: WGLC ongoing until Oct 26
* Action: Michael to conclude WGLC, review comments, submit for publication

Active WG Items
---------------

1323bis
(draft-ietf-tcpm-1323bis)
* Milestone Target: Proposed Standard in July 2009
* Status: Revised after IETF-84, waiting for reviews from WG
* Action: WG to review the draft (some volunteers from last meeting)

TCP Fast Open
(draft-ietf-tcpm-fastopen)
* Milestone Target: Experimental in Sept. 2012
* Status: Revised after IETF-84
* Action: Needs WG review

Active Individual Internet-Drafts
---------------------------------

Problem Statement and Requirements for a More Accurate ECN Feedback
(draft-kuehlewind-tcpm-accecn-reqs)
* Status: New draft submitted after IETF-84
* Action: Will be discussed in IETF-85

Accurate ECN Feedback Option in TCP
(draft-kuehlewind-tcpm-accurate-ecn)
(draft-kuehlewind-tcpm-accurate-ecn-option)
* Status: Not updated since IETF-84
* Action: Will be discussed in IETF-85

TCP and SCTP RTO Restart
(draft-hurtig-tcpm-rtorestart)
* Status: Updated ver-03 after IETF-84
* Action: Presentation at IETF-85

TCP Loss Probe (TLP): An Algorithm for Fast Recovery of Tail Losses
(draft-dukkipati-tcpm-tcp-loss-probe)
* Status: Not updated since IETF-84
* Action: Will be discussed in IETF-85

Updating TCP to support Variable-Rate Traffic
(draft-fairhurst-tcpm-newcwv)
* Status: ver -05 updated in Sep 2012
* Action: To be discussed at IETF-85

Additional negotiation in the TCP Timestamp Option field during the TCP handshake
(draft-scheffenegger-tcpm-timestamp-negotiation)
* Status: Updated ver-05 after IETF-84

Exposure of Time Intervals for the TCP Timestamp Option
(draft-trammell-tcpm-timestamp-interval)
* Status: New draft after IETF-84

Laminar TCP and the case for refactoring TCP congestion control
(draft-mathis-tcpm-tcp-laminar)
* Status: No updates since IETF-84

A Roadmap for TCP Specification Documents
(draft-zimmermann-tcpm-tcp-rfc4614bis)
* Status: Not updated since IETF-84

A TCP Authentication Option NAT Extension
(draft-touch-tcp-ao-nat)
* Status: No updates since IETF-84

Automating the Initial Window in TCP
(draft-touch-tcpm-automatic-iw)
* Status: Not updated since IETF-84

Highly Efficient Selective Acknowledgement (SACK) for TCP
(draft-sabatini-tcp-sack)
* Status: Updated ver-01 after IETF-84